List sources
curl --request GET \
--url https://api.conare.ai/sources \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conare.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.conare.ai/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sources": [
{
"id": "src_2b9c1f",
"type": "hubspot",
"name": "HubSpot",
"namespace": "docs",
"status": "connecting",
"error": "<string>",
"documents": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"sync_interval_s": 123,
"sync_interval_auto": true,
"next_sync_at": "2023-11-07T05:31:56Z",
"cost": {
"rows_per_run": 123,
"window_s": 123,
"reads": "changes",
"auto_interval_s": 123,
"usd_per_million_rows": 100,
"options": [
{
"interval_s": 123,
"auto": true,
"rows_month": 123,
"usd_month": 123
}
],
"rows_billed": true
},
"progress": {
"records_pulled": 123
}
}
],
"data": [
{
"id": "src_2b9c1f",
"type": "hubspot",
"name": "HubSpot",
"namespace": "docs",
"status": "connecting",
"error": "<string>",
"documents": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"sync_interval_s": 123,
"sync_interval_auto": true,
"next_sync_at": "2023-11-07T05:31:56Z",
"cost": {
"rows_per_run": 123,
"window_s": 123,
"reads": "changes",
"auto_interval_s": 123,
"usd_per_million_rows": 100,
"options": [
{
"interval_s": 123,
"auto": true,
"rows_month": 123,
"usd_month": 123
}
],
"rows_billed": true
},
"progress": {
"records_pulled": 123
}
}
],
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "text is required",
"request_id": "7d0f4c1e-2b8a-4e39-9a61-3c5e8b2f9d04"
}
}{
"error": {
"code": "invalid_request",
"message": "text is required",
"request_id": "7d0f4c1e-2b8a-4e39-9a61-3c5e8b2f9d04"
}
}Sources
List sources
Every source, apps first; namespace, user and type keep those whose field equals the value.
GET
https://api.conare.ai
/
sources
List sources
curl --request GET \
--url https://api.conare.ai/sources \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conare.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.conare.ai/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sources": [
{
"id": "src_2b9c1f",
"type": "hubspot",
"name": "HubSpot",
"namespace": "docs",
"status": "connecting",
"error": "<string>",
"documents": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"sync_interval_s": 123,
"sync_interval_auto": true,
"next_sync_at": "2023-11-07T05:31:56Z",
"cost": {
"rows_per_run": 123,
"window_s": 123,
"reads": "changes",
"auto_interval_s": 123,
"usd_per_million_rows": 100,
"options": [
{
"interval_s": 123,
"auto": true,
"rows_month": 123,
"usd_month": 123
}
],
"rows_billed": true
},
"progress": {
"records_pulled": 123
}
}
],
"data": [
{
"id": "src_2b9c1f",
"type": "hubspot",
"name": "HubSpot",
"namespace": "docs",
"status": "connecting",
"error": "<string>",
"documents": 123,
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"sync_interval_s": 123,
"sync_interval_auto": true,
"next_sync_at": "2023-11-07T05:31:56Z",
"cost": {
"rows_per_run": 123,
"window_s": 123,
"reads": "changes",
"auto_interval_s": 123,
"usd_per_million_rows": 100,
"options": [
{
"interval_s": 123,
"auto": true,
"rows_month": 123,
"usd_month": 123
}
],
"rows_billed": true
},
"progress": {
"records_pulled": 123
}
}
],
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "text is required",
"request_id": "7d0f4c1e-2b8a-4e39-9a61-3c5e8b2f9d04"
}
}{
"error": {
"code": "invalid_request",
"message": "text is required",
"request_id": "7d0f4c1e-2b8a-4e39-9a61-3c5e8b2f9d04"
}
}Autorisations
A key from conare.ai/dashboard/keys with full access, some namespaces, or models only (/embed, /rerank, /v1, /v2/rerank, /parse).
Paramètres de requête
1-64 characters of a-z 0-9 _ -, starting with a letter or digit.
Pattern:
^[a-z0-9][a-z0-9_-]{0,63}$Exemples:
"docs"
"user-42"
A user id of yours, with at most 8 :; group users with : (tenant-7:u_42) and query a group by user_prefix.
Pattern:
^[A-Za-z0-9][A-Za-z0-9._:@-]{0,127}$Exemple:
"tenant-7:u_42"
Cette page vous a-t-elle été utile ?